Publish date: 2017-11-14

IBProvider v3.47. LCPI ADO.NET Provider v1.2, v1.3. LCPI OLE DB Services v1.1

We have a great piece of news for all users of IBProvider v3 — we have rewritten the latest subsystem inherited from the second version of the provider.

In other words, we have finally fully updated and improved the entire IBProvider v3!

IBProvider v3.47

  • We have eliminated the use of class std::locale (STL) which caused critical issues to one of our users
  • We have rewritten the code for value comparison of the OLE DB data types

You are recommended to upgrade your IBProvider version to the current one.

ADO.NET Data Provider v1.2

  • The assemblies compiled for .NET Standard 2.0 added
  • The lowest supported version of IBProvider is 3.47.0.27224

Please, look the new example, which demonstates the important moments of work with our ADO.NET provider from .NET Core application.

ADO.NET Data Provider v1.3

  • Renaming modules (DLL) of the first DDEX provider for VS2007-VS2015. This was done for unification with the second DDEX provider for VS2017

LCPI OLE DB Services v1.1

  • The use of class std::locale (STL) eliminated

Additional

The main builds (vc15, 32/64 bit) of IBProvider (build 27224) and «LCPI OLEDB Services» (build 507) have undergone extended multithreaded load testing with Firebird 3.0.3.32815 (SuperServer, x64).

The FB3 itself has accumulated more than 1 month of processor time: 1, 2.

In case you use IBProvider with Firebird in systems that are sensitive to failures (for example MSSQL), we recommend that you specify «fbclient_type=fb.direct» in the connection string.

What’s next

We have reached another stabilization point in the development process and now we are defining the next growth direction for the project. You can influence this by sending us your suggestions and feedback.


Publish date: 2017-11-14. Copyright: IBProvider. This material may be reproduced on other web sites, without written permission but link http://www.ibprovider.com/eng required.